> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Call Record

> Deletes a single call based on the callId supplied



## OpenAPI

````yaml DELETE /call/{callId}
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /call/{callId}:
    delete:
      description: Deletes a single call based on the callId supplied
      parameters:
        - name: callId
          in: path
          description: ID of call to delete
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Call deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Call'
components:
  schemas:
    Call:
      type: object
      properties:
        id:
          description: The unique id for the call
          type: integer
        assistant_id:
          description: The id of the assistant that handled the call
          type: integer
        started_at:
          type: string
          format: date-time
          description: The date and time the call was started
          nullable: true
        ended_at:
          type: string
          format: date-time
          description: The date and time the call ended
          nullable: true
        call_status:
          type: string
          description: The status of the call
          enum:
            - queued
            - ringing
            - in-progress
            - forwarding
            - ended
        ended_reason:
          type: string
          description: The reason why the call ended
          nullable: true
        transcript:
          type: string
          description: The transcript of the call
          nullable: true
        source_number:
          type: string
          description: The phone number that initiated the call
          nullable: true
        destination_number:
          type: string
          description: The phone number that received the call
          nullable: true
        call_type:
          type: string
          description: The type of call
        duration_ms:
          type: integer
          description: The duration of the call in milliseconds
          nullable: true
        analysis:
          description: Includes custom evaluations and data extractions for the call.
          allOf:
            - $ref: '#/components/schemas/Analysis'
        summary:
          type: string
          description: A summary of the call
          nullable: true
        outcome:
          type: string
          description: The outcome of the call
          nullable: true
        failure_reason:
          type: string
          description: If the call was unsuccessful, this will be the reason why
          nullable: true
          enum:
            - declined
            - escalated
            - requested-callback
            - customer-dropped
            - assistant-ended
            - opt-out
    Analysis:
      type: object
      properties:
        repetition_count:
          type: integer
          description: The number of times the user repeated themselves during the call.
        interruption_count:
          type: integer
          description: >-
            The number of times the user interrupted the AI assistant during the
            call.
        custom:
          type: object
          description: Any custom (customer-specific) metrics associated with the call.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````